Subject: Re: [BUG?] worktree setup broken in subdirs with git alias

From: Michael J Gruber <[email-masked]>
Date: Thu, 7 Jan 2016 10:49:14 +0100

Michael J Gruber venit, vidit, dixit 07.01.2016 10:40:
> Duy Nguyen venit, vidit, dixit 07.01.2016 10:26:
>> On Thu, Jan 7, 2016 at 2:15 PM, Michael J Gruber
>> <[email-masked]> wrote:
>>> Hi there,
>>>
>>> sorry I can't dig deeper now, but the worktree code from next seems to
>>> get confused now as soon as you cd to a subdir of a worktree (other than
>>> the main worktree) and use an alias:
>>>
>>> git help ss
>>> `git ss' is aliased to `status -s -b'
>>> [mjg@skimbleshanks Biomath-WS15 (exam $)]✓ git status -s -b
>>> ## exam
>>> [mjg@skimbleshanks Biomath-WS15 (exam $)]✓ git ss
>>> fatal: internal error: work tree has already been set
>>
>> You forgot to mention what version you used. But it's probably related
>> to d95138e (setup: set env $GIT_WORK_TREE when work tree is set, like
>> $GIT_DIR - 2015-06-26). This commit fixed your problem (and was
>> released) but it introduced some other regressions so it's been
>> reverted in 'next'. 'pu' has a re-fix on top of the revert.
> 
> Well, I mentioned "from next", which I admit is not super-precise (it's
> next not older than a day or two, plus some local additions). In fact it is:
> 
> ef7b32d (Sync with 2.7, 2016-01-04)
> 
> which "has" d95138e (as per git branch contains) but also df1e6ea87
> which reverts it. (I guess --really-contains would be neat but difficult.)
> 
> So while I didn't notice the problems that lead to the revert, I noticed
> the problems the revert created... Early adopters' luck.
> 
> As for the fix on pu, do you mean that one:
> ac78663 (run-command: don't warn on SIGPIPE deaths, 2015-12-29)
> 
> I'll give it a shot then.
> 
> Michael

Meanwhile you had answered my question before I even asked it. Great
user support over here :)

And hooray, merging ac78663 saves my problem, thanks!

Since I didn't notice the problems that the earlier fix caused I can't
say whether the newer fix avoids them.

Michael